summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-11 22:53:41 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:53:41 +0200
commit560ce2e72566f3677b85a18a7c8b34ef99b5e664 (patch)
treed004e737c5e4d083c5da451792f80f5af7f8cfc4 /development
parentc9bbf5d47fecf839a39a26f2dfc10c362a3f3c7c (diff)
downloadslackbuilds-560ce2e72566f3677b85a18a7c8b34ef99b5e664.tar.gz
slackbuilds-560ce2e72566f3677b85a18a7c8b34ef99b5e664.tar.xz
development/tig: Added to 12.1 repository
Diffstat (limited to 'development')
-rw-r--r--development/tig/README6
-rw-r--r--development/tig/doinst.sh17
-rw-r--r--development/tig/slack-desc19
-rw-r--r--development/tig/tig.SlackBuild76
-rw-r--r--development/tig/tig.info8
5 files changed, 126 insertions, 0 deletions
diff --git a/development/tig/README b/development/tig/README
new file mode 100644
index 0000000000..939510014e
--- /dev/null
+++ b/development/tig/README
@@ -0,0 +1,6 @@
+Tig is a git repository browser that additionally can act as a pager
+for output from various git commands.
+When browsing repositories, it uses the underlying git commands to
+present the user with various views, such as summarized revision log
+and showing the commit with the log message, diffstat, and the diff.
+Using it as a pager, it will display input from stdin and colorize it.
diff --git a/development/tig/doinst.sh b/development/tig/doinst.sh
new file mode 100644
index 0000000000..a39b214088
--- /dev/null
+++ b/development/tig/doinst.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/tigrc.new
+
diff --git a/development/tig/slack-desc b/development/tig/slack-desc
new file mode 100644
index 0000000000..1f7bf7559b
--- /dev/null
+++ b/development/tig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tig: tig (ncurses interface for git)
+tig:
+tig: tig is a git repository browser that additionally can act as a pager
+tig: for output from various git commands.
+tig: When browsing repositories, it uses the underlying git commands to
+tig: present the user with various views, such as summarized revision log
+tig: and showing the commit with the log message, diffstat, and the diff.
+tig:
+tig: Homepage: http://jonas.nitro.dk/tig/
+tig:
+tig:
diff --git a/development/tig/tig.SlackBuild b/development/tig/tig.SlackBuild
new file mode 100644
index 0000000000..5f00a45f7d
--- /dev/null
+++ b/development/tig/tig.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for tig
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
+
+PRGNAM=tig
+VERSION=${VERSION:-0.12.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+DOCS="BUGS COPYING INSTALL NEWS README SITES TODO VERSION"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install install-doc DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc
+cat contrib/tigrc > $PKG/etc/tigrc.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/tig/tig.info b/development/tig/tig.info
new file mode 100644
index 0000000000..6a20a6bd33
--- /dev/null
+++ b/development/tig/tig.info
@@ -0,0 +1,8 @@
+PRGNAM="tig"
+VERSION="0.12.1"
+HOMEPAGE="http://jonas.nitro.dk/tig/"
+DOWNLOAD="http://jonas.nitro.dk/tig/releases/tig-0.12.1.tar.gz"
+MD5SUM="45f87a823ffd015367208cfe680bcb9f"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="Michiel"